%define upstream_name Tk-FileDialog
%define upstream_version 1.3

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4
License:	GPL
Group:		Development/Perl
Summary:	Tk::FileDialog Perl module
Source0:	http://cpan.uwinnipeg.ca/cpan/authors/id/B/BP/BPOWERS/%{upstream_name}-%{upstream_version}.tar.bz2
Url:		http://search.cpan.org/dist/%{upstream_name}
BuildRequires:	perl-devel

BuildArch:	noarch

%description
A highly configurable File Dialog widget for Perl/Tk.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%install
make PREFIX=%{buildroot}%{_prefix} install DESTDIR=%{buildroot}

%files
%doc README
%{perl_vendorlib}/*
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.300.0-4pclos2017
- rebuild against updates

